Skip to content

Models

利用可能なモデルの一覧と価格を取得します。認証なしで呼び出せます。

GET/v1/models

クエリパラメータ#

パラメータ必須説明
providerstring任意プロバイダー ID で絞り込み(例: modelark、anthropic、upstage)。modelark が正規 ID、byteplus は入力時のみ受け付ける旧エイリアスです。レスポンスは常に modelark を返します。
localeko | en | es | zh | ja任意description と cost_basis の言語。既定値は en。一覧・詳細・ルーティングモードで利用できます。

レスポンス#

input_price_usd · output_price_usd は 1M トークンあたりの USD 定価(プロバイダーの公示価格。マークアップは含みません)で、 pricing · pricing_krwトークンあたりの実効単価(定価 × マークアップ — 実際の課金と同じマークアップ)です。ウォン換算価格は モデルページ でも本日の為替レートに基づいて確認できます。正確な段階別・ モダリティ別定価は pricing_tiers · pricing_variants と各 offering のpricing_policy を使用します。

ルーティング親の input_price_usd · output_price_usd = 0 は後方互換用であり、無料を意味しません。表示には billing_mode=routed_paygcost_basis を使用してください。

200 OK
{
  "object": "list",
  "data": [
    {
      "id": "seed-2-0-lite-260228",
      "provider": "modelark",
      "display_name": "ByteDance Seed 2.0 Lite",
      "description": "A multimodal model in the Seed family for text and vision workloads.",
      "billing_mode": "unit_price",
      "cost_basis": null,
      "modality": "text",
      "maker": "ByteDance",
      "price_unit": "token",
      "input_price_usd": 0.25,
      "output_price_usd": 2.0,
      "markup_tier": "medium",
      "effective_markup_percent": 0.0,
      "context_window": 256000,
      "max_output": 128000,
      "is_active": true,
      "context_length": 256000,
      "max_output_tokens": 128000,
      "architecture": {
        "input_modalities": ["text"],
        "output_modalities": ["text"]
      },
      "supported_parameters": [
        "temperature", "max_tokens", "top_p", "stop", "seed",
        "frequency_penalty", "presence_penalty", "tools", "tool_choice",
        "response_format", "parallel_tool_calls", "logit_bias", "stream"
      ],
      "supports_thinking": true,
      "thinking_forced": false,
      "pricing": {"prompt": "0.0000002625", "completion": "0.0000021"},
      "pricing_krw": {"prompt": "0.0003675", "completion": "0.00294"},
      "pricing_tiers": [
        {
          "input_tokens_lte": 128000,
          "input_price_usd_per_m": 0.25,
          "output_price_usd_per_m": 2.0,
          "cache_read_price_usd_per_m": 0.05
        },
        {
          "input_tokens_lte": 256000,
          "input_price_usd_per_m": 0.5,
          "output_price_usd_per_m": 4.0,
          "cache_read_price_usd_per_m": 0.1
        }
      ],
      "pricing_variants": [],
      "providers": [
        {
          "provider": "modelark",
          "input_price_usd": 0.25,
          "output_price_usd": 2.0,
          "markup_tier": "medium",
          "effective_markup_percent": 0.0,
          "context_window": 256000,
          "cache_read_usd": 0.05,
          "latency_ms": null,
          "throughput_tps": null,
          "pricing": {"prompt": "0.0000002625", "completion": "0.0000021"},
          "pricing_krw": {"prompt": "0.0003675", "completion": "0.00294"},
          "pricing_policy": {
            "version": 1,
            "kind": "token_tiers",
            "tiers": [
              {
                "input_tokens_lte": 128000,
                "input_price_usd_per_m": 0.25,
                "output_price_usd_per_m": 2.0,
                "cache_read_price_usd_per_m": 0.05
              },
              {
                "input_tokens_lte": 256000,
                "input_price_usd_per_m": 0.5,
                "output_price_usd_per_m": 4.0,
                "cache_read_price_usd_per_m": 0.1
              }
            ]
          },
          "pricing_tiers": [
            {
              "input_tokens_lte": 128000,
              "input_price_usd_per_m": 0.25,
              "output_price_usd_per_m": 2.0,
              "cache_read_price_usd_per_m": 0.05
            },
            {
              "input_tokens_lte": 256000,
              "input_price_usd_per_m": 0.5,
              "output_price_usd_per_m": 4.0,
              "cache_read_price_usd_per_m": 0.1
            }
          ],
          "pricing_variants": []
        }
      ]
    }
  ]
}

フィールド説明#

パラメータ必須説明
modalitystring任意text | image | video | audio | embedding | 3d。
makerstring任意モデルの製造元(ラボ)。ホスティングプロバイダー(provider)と区別されます — 例: maker=DeepSeek、provider=deepinfra。
price_unitstring任意課金単位。テキストモデルは token。
markup_tierstring任意low | medium | high。現在はすべてのティアに単一の手数料が適用されます。
effective_markup_percentnumber任意表示・課金に実際に適用されるマークアップ(%)。モデル別 override があればその値、なければ全体のデフォルト値。
context_windowinteger任意最大コンテキストトークン数。
max_outputinteger任意最大出力トークン数。
context_length / max_output_tokensinteger任意context_window と max_output の OpenRouter 標準エイリアス(同じ値)。
architectureobject任意{input_modalities, output_modalities} — modality から導出。
supported_parametersstring[]任意モデルが受け付ける OpenAI 標準パラメータのリスト。テキストモデルは共通リスト、非テキストモダリティは空配列。
supports_thinkingboolean任意推論(reasoning_effort)トグルに対応しているか。
thinking_forcedboolean任意推論が強制(無効化不可)のモデルなら true。
pricingobject任意{prompt, completion} — トークンあたりの実効 USD 単価(定価 × マークアップ)の固定小数文字列。token 課金モデルのみ値が入り、他のモダリティは空オブジェクト。
pricing_krwobject任意{prompt, completion} — トークンあたりの KRW。表示為替レート(09:00 スナップショット)基準のため、課金レート(10 分ごと更新)と日中わずかに差が出ることがあります。為替レートが取得できない場合は省略されます。
pricing_tiersarray任意代表 offering の token 価格段階。input_tokens_lte と input/output/cache の USD/1M を含み、段階制でない場合は空配列です。
pricing_variantsarray任意代表 offering の image・video・embedding・3d などモダリティ別価格 variant。variant 制でない場合は空配列です。
providersarray任意この論理モデルを提供するプロバイダー別の価格比較。単一プロバイダーのモデルは長さ 1。
providers[].pricing_policyobject | null任意この provider offering の公開バージョン付き定価ポリシー(version・kind・tiers/variants、および mixed embedding の content-type 別 input USD/1M)。固定価格以外の正確な根拠です。
providers[].pricing_tiersarray任意providers[].pricing_policy.tiers の簡易ビュー。token tier の offering 以外は空配列です。
providers[].pricing_variantsarray任意providers[].pricing_policy.variants の簡易ビュー。モダリティ variant の offering 以外は空配列です。
descriptionstring任意指定 locale で選択されたモデル概要。
billing_modeunit_price | routed_payg任意固定単価の実モデルと、子呼び出しの実使用量で課金される親を明示的に区別します。
cost_basisstring | null任意routed_payg で合算する子呼び出し。unit_price では null。

providers[] の各項目はプロバイダー別 offering(価格・マークアップ・ コンテキストウィンドウ・キャッシュ読み取り定価 cache_read_usd(USD/1M、 tier 制では既定 tier の要約。正確な値は pricing_tiers)です。トップレベルの provider・価格・pricing最安 offering の代表値です。 トップレベルの pricing_tiers · pricing_variants もその代表 offering だけの branch であり、複数 provider の価格を結合しません。特定 provider の正確な ポリシーは providers[].pricing_policy とその簡易ビューproviders[].pricing_tiers · providers[].pricing_variants で確認します。latency_ms · throughput_tps は一覧レスポンスでは null で、単一モデル詳細 (GET /v1/models/{model_id})でのみ当社トラフィックの実測値で 埋められます。

単一モデル詳細 GET /v1/models/{model_id}?locale=jaofficial_sources[](publisher、title、url、scope、verified_at)も返します。公式出典を確認できないカスタムモデルでは空配列です。

ルーティングモード#

GET/v1/routing-modes

4つのルーティング商品の公開状態と呼び出し方法を返します。モデル型はゲートと有効な公開DBモデル行の両方がある場合のみ呼び出せます。Selected Smart は policy/<slug> の設定が必要です。

パラメータ必須説明
localeko | en | es | zh | ja任意description と cost_basis の言語。既定値は en。一覧・詳細・ルーティングモードで利用できます。
billing_moderouted_payg任意4モードすべて、実行された子呼び出しの実使用量で課金されます。
cost_basisstring任意合算対象を指定 locale で説明します。
availabilityavailable | beta | setup_required | disabled任意現在の公開・設定状態。disabled は呼び出し不可です。
invocableboolean任意リテラルのモデルIDを現在直接呼び出せるか。
invocationobject任意model_id または policy_type=auto を含む実際の入口。
docs_pathstring任意モードの製品ドキュメントパス。
200 OK
{
  "object": "list",
  "data": [
    {
      "id": "benchmark_smart",
      "display_name": "Benchmark Smart",
      "description": "Classifies each request and selects a suitable model using PleumRouter's benchmark table.",
      "billing_mode": "routed_payg",
      "cost_basis": "Actual input and output usage of the selected child model",
      "availability": "available",
      "invocable": true,
      "invocation": {"type": "model", "model_id": "benchmark_smart"},
      "docs_path": "/docs/features/benchmark-smart"
    },
    {
      "id": "selected_smart",
      "display_name": "Selected Smart",
      "description": "Routes within a model pool configured by the user.",
      "billing_mode": "routed_payg",
      "cost_basis": "Actual usage of the child model selected by the policy",
      "availability": "setup_required",
      "invocable": false,
      "invocation": {"type": "policy", "policy_type": "auto"},
      "docs_path": "/docs/features/selected-smart"
    }
  ]
}